#include "thread_message_hub.h"

#include "thread_message.h"

void thread_message_hub::process_messages() {
    while (!messages_.empty()) {
        thread_message* message = messages_.front();
        message->execute();
        mem_pool_.free(message);
        messages_.pop();
    }
}
